%define _fontdir %{_fontbasedir}/TTF

Summary:    Japanese TrueType fonts
Name:       fonts-ttf-japanese-extra
Version:    0.20040217
Release:    %mkrel 23
License:    Distributable
URL:        https://sourceforge.jp/projects/mplus-fonts/
Group:      System/Fonts/True type


# Original Kochi fonts include in ascii section non free glyphs, they must
# be removed. Red Hat did it, packages taken from them 

## Original fonts is here
Source0:    %{name}-%{version}.tar.bz2

BuildArch:     noarch
BuildRequires: fontconfig
BuildRequires: mkfontscale
Obsoletes:     xtt-fonts
Provides:      xtt-fonts

%description
This Package provides Free Japanese TrueType fonts (alternative Kochi fonts:
kochi-gothic-subst, kochi-mincho-subst).


%prep
%setup -q

%build
tar xfj docs.tar.bz2

%install
mkdir -p %{buildroot}%{_fontdir}/japanese-extra
install -m 755 *.ttf %{buildroot}%{_fontdir}/japanese-extra

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%{_fontdir}/japanese-extra \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-japanese-extra:pri=50

cd %{buildroot}%{_fontdir}/japanese-extra/
mkfontscale
cp fonts.scale fonts.dir
cd -

%files
%doc COPYING  Changelog  README.ja docs/*
%dir %{_fontdir}/japanese-extra/
%config(noreplace) %{_fontdir}/japanese-extra/fonts.dir
%config(noreplace) %{_fontdir}/japanese-extra/fonts.scale
%{_fontdir}/japanese-extra/kochi*
%_sysconfdir/X11/fontpath.d/ttf-japanese-extra:pri=50


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.20040217-23.mga10
+ Revision: 2221052
- Mageia 10 Mass Rebuild

* Sun Jan 14 2024 daviddavid <daviddavid> 0.20040217-22.mga10
+ Revision: 2031091
- move fonts files from '/usr/share/fonts/ttf' to '/usr/share/fonts/TTF'

* Wed Mar 30 2022 umeabot <umeabot> 0.20040217-21.mga9
+ Revision: 1833987
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.20040217-20.mga8
+ Revision: 1489298
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20040217-19.mga7
+ Revision: 1260346
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.20040217-18.mga6
+ Revision: 943919
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20040217-17.mga5
+ Revision: 743795
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20040217-16.mga5
+ Revision: 679272
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20040217-15.mga4
+ Revision: 504524
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.20040217-14.mga3
+ Revision: 350677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ shlomif <shlomif>
- imported package fonts-ttf-japanese-extra


* Tue May 17 2011 Funda Wang <fwang@mandriva.org> 0.20040217-13mdv2011.0
+ Revision: 675571
- br fontconfig for fc-query used in new rpm-setup-build

* Mon Dec 06 2010 Funda Wang <fwang@mandriva.org> 0.20040217-12mdv2011.0
+ Revision: 611718
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.20040217-11mdv2010.1
+ Revision: 494144
- fc-cache is now called by an rpm filetrigger

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 0.20040217-10mdv2010.0
+ Revision: 428846
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.20040217-9mdv2009.0
+ Revision: 245259
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.20040217-7mdv2008.1
+ Revision: 170837
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.20040217-6mdv2008.0
+ Revision: 48743
- fontpath.d conversion (#31756)
- minor cleanups

* Fri Jun 22 2007 Thierry Vignaud <tv@mandriva.org> 0.20040217-5mdv2008.0
+ Revision: 43075
- use %%mkrel


* Wed Feb 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0.20040217-4mdk
- Don't package fontconfig cache file
- Fix prereq

* Sun Jun 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20040217-3mdk
- rename (this is the old fonts-ttf-japanese-0.20040217-2mdk)

* Mon Apr 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.20040217-2mdk
- fix buildrequires
- don't use () around commands, it will make rpm-build not exit on errors within the braces
- don't list files twice

* Wed Feb 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20020727-4mdk
- from UTUMI Hirosi <utuhiro78@yahoo.co.jp>: initial build
  (old Kochis have license problems. This is a package of "alternative" Kochis)

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.20020727-4mdk
- rebuild
- fix obsolete-not-provided (rpmlint)

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.20020727-3mdk
- proper use of fc-cache

